<div id="body" class="container-fluid">
  <h6>H6 Customer to User Assignment</h6>
  <dx-data-grid #grid id="grid" [dataSource]="items" [columnAutoWidth]="true"
                [rowAlternationEnabled]="true" [showBorders]="true" [wordWrapEnabled]="true"
                (onSelectionChanged)="selectionChangedHandler($event)"
                (onEditingStart)="loadEditForm($event)"
                (onRowInserting)="saveForm($event)" (onRowUpdating)="saveForm($event)"
                (onToolbarPreparing)="onToolbarPreparing($event)"
                (onContentReady)="grid.instance.searchByText(grid.searchPanel.text.trim())"
                (onExporting)="onExporting($event)">
    <dxo-sorting mode="multiple"></dxo-sorting>
    <dxo-scrolling mode="standard" showScrollbar="always" useNative="false"></dxo-scrolling>
    <dxo-editing mode="form" [useIcons]="true" [allowUpdating]="true" [allowAdding]="true">
      <dxo-form>
        <dxi-item dataField="custID" [colSpan]="1"></dxi-item>
        <dxi-item dataField="userId" [colSpan]="1"></dxi-item>
        <dxi-item dataField="mnsCd" [colSpan]="1"></dxi-item>
        <dxi-item dataField="isipCd" [colSpan]="1"></dxi-item>
        <dxi-item dataField="statusId" [colSpan]="1"></dxi-item>
      </dxo-form>
    </dxo-editing>
    <dxo-paging [pageSize]="50"></dxo-paging>
    <dxo-pager [showPageSizeSelector]="true" [allowedPageSizes]="[25, 50, 100]"></dxo-pager>
    <dxo-search-panel [visible]="true" [highlightCaseSensitive]="true"></dxo-search-panel>
    <dxi-column type="buttons" [buttons]="['edit']" headerCellTemplate="editHeaderTemplate"></dxi-column>
    <dxi-column dataField="custID" caption="H6 Customer ID" dataType="string" [width]="120">
      <dxi-validation-rule type="required"></dxi-validation-rule>
      <dxi-validation-rule type="stringLength" [max]="100"
                           message="H6 Customer ID is required"></dxi-validation-rule>
    </dxi-column>
    <dxi-column dataField="custNme" caption="Customer Name" dataType="string"></dxi-column>
    <dxi-column dataField="crtyNme" caption="Country Name" dataType="string"></dxi-column>
    <dxi-column dataField="userId" caption="PM Name">
      <dxi-validation-rule type="required"></dxi-validation-rule>
      <dxo-lookup [dataSource]="searchUsers" valueExpr="userId" displayExpr="fullNme">
      </dxo-lookup>
    </dxi-column>
    <dxi-column dataField="mnsCd" caption="MNS">
      <dxi-validation-rule type="required"></dxi-validation-rule>
      <dxo-lookup [dataSource]="mns" valueExpr="ID" displayExpr="Name">
      </dxo-lookup>
    </dxi-column>
    <dxi-column dataField="isipCd" caption="ISIP">
      <dxi-validation-rule type="required"></dxi-validation-rule>
      <dxo-lookup [dataSource]="isip" valueExpr="ID" displayExpr="Name">
      </dxo-lookup>
    </dxi-column>
    <dxi-column dataField="assignDT" caption="Assigned Date" cellTemplate="localStartTime" dataType="string"></dxi-column>
    <dxi-column dataField="statusId" caption="Status">
      <dxi-validation-rule type="required"></dxi-validation-rule>
      <dxo-lookup [dataSource]="status" valueExpr="ID" displayExpr="Name">
      </dxo-lookup>
    </dxi-column>
    <div *dxTemplate="let cell of 'localStartTime'">
      <span>{{cell.text | date:'MM/dd/yyyy hh:mm a'}}</span>
    </div>
    <div *dxTemplate="let data of 'editHeaderTemplate'">
      <div>Edit</div>
    </div>
    <div *dxTemplate="let data of 'exportTemplate'">
      <button type="button" class="btn btn-sm btn-primary"
              (click)="grid.instance.exportToExcel(false)">
        Export to Excel
      </button>
    </div>
    <!--<dxo-export [enabled]="true" [customizeExcelCell]="customizeExcelCell"></dxo-export>-->
  </dx-data-grid>
</div>
